Public Calendar Listing

The Public Calendar Listing service will take a range of two dates as input and produce a listing of all approved public calendar events occurring in the given date range. If the two dates are identical, events for the given day will be returned.

Service Name

public_calendar_listing

Required Parameters

NameType
date_startdatetime

Optional Parameters

NameType
date_enddatetime

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=public_calendar_listing&date_start=2008-11-25"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="public_calendar_listing" name="srv"/>
      <argument value="2008-11-25" name="date_start"/>
    </parameters>
  </request>
  <response>
    <items count="1">
      <item>
        <date>2008-11-25</date>
        <event_name ccb_id="586">a really fun event</event_name>
        <event_description></event_description>
        <start_time>00:00:00</start_time>
        <end_time>00:15:00</end_time>
        <event_duration>15</event_duration>
        <event_type>Registration Required</event_type>
        <location></location>
        <group_name ccb_id="8">Awesome Group For Fun People</group_name>
        <group_type>Life Group</group_type>
        <grouping_name>FUN GROUPING</grouping_name>
        <leader_name ccb_id="841">Larry Boy</leader_name>
        <leader_phone>(123) 938-5555</leader_phone>
        <leader_email>[email protected]</leader_email>
      </item>
    </items>
  </response>
</ccb_api>